=head1 NAME

Gnome2::Vte::Terminal

=cut

=head1 HIERARCHY

  Glib::Object
  +----Glib::InitiallyUnowned
       +----Gtk2::Object
            +----Gtk2::Widget
                 +----Gnome2::Vte::Terminal



=cut

=head1 INTERFACES

  Glib::Object::_Unregistered::AtkImplementorIface
  Gtk2::Buildable



=cut


=head1 METHODS

=head2 widget = Gnome2::Vte::Terminal-E<gt>B<new> 

=head2 adjustment = $terminal-E<gt>B<get_adjustment> 

=head2 boolean = $terminal-E<gt>B<get_allow_bold> 

=head2 $terminal-E<gt>B<set_allow_bold> ($allow_bold)

=over

=item * $allow_bold (boolean) 

=back

=head2 boolean = $terminal-E<gt>B<get_audible_bell> 

=head2 $terminal-E<gt>B<set_audible_bell> ($is_audible)

=over

=item * $is_audible (boolean) 

=back

=head2 $terminal-E<gt>B<set_background_image_file> ($path)

=over

=item * $path (string) 

=back

=head2 $terminal-E<gt>B<set_background_image> ($image)

=over

=item * $image (Gtk2::Gdk::Pixbuf or undef) 

=back

=head2 $terminal-E<gt>B<set_background_saturation> ($saturation)

=over

=item * $saturation (double) 

=back

=head2 $terminal-E<gt>B<set_background_tint_color> ($color)

=over

=item * $color (Gtk2::Gdk::Color) 

=back

Since: vte 0.12

=head2 $terminal-E<gt>B<set_background_transparent> ($transparent)

=over

=item * $transparent (boolean) 

=back

=head2 $terminal-E<gt>B<set_backspace_binding> ($binding)

=over

=item * $binding (Gnome2::Vte::Terminal::EraseBinding) 

=back

=head2 integer = $terminal-E<gt>B<get_char_ascent> 

=head2 integer = $terminal-E<gt>B<get_char_descent> 

=head2 integer = $terminal-E<gt>B<get_char_height> 

=head2 integer = $terminal-E<gt>B<get_char_width> 

=head2 $terminal-E<gt>B<set_color_background> ($background)

=over

=item * $background (Gtk2::Gdk::Color) 

=back

=head2 $terminal-E<gt>B<set_color_bold> ($bold)

=over

=item * $bold (Gtk2::Gdk::Color) 

=back

=head2 $terminal-E<gt>B<set_color_cursor> ($cursor_background)

=over

=item * $cursor_background (Gtk2::Gdk::Color or undef) 

=back

Since: vte 0.12

=head2 $terminal-E<gt>B<set_color_dim> ($dim)

=over

=item * $dim (Gtk2::Gdk::Color) 

=back

=head2 $terminal-E<gt>B<set_color_foreground> ($foreground)

=over

=item * $foreground (Gtk2::Gdk::Color) 

=back

=head2 $terminal-E<gt>B<set_color_highlight> ($highlight_background)

=over

=item * $highlight_background (Gtk2::Gdk::Color or undef) 

=back

Since: vte 0.12

=head2 $terminal-E<gt>B<set_colors> ($foreground, $background, $palette_ref)

=over

=item * $foreground (Gtk2::Gdk::Color or undef) 

=item * $background (Gtk2::Gdk::Color or undef) 

=item * $palette_ref (scalar) 

=back

=head2 integer = $terminal-E<gt>B<get_column_count> 

=head2 $terminal-E<gt>B<copy_clipboard> 

=head2 $terminal-E<gt>B<copy_primary> 

=head2 $terminal-E<gt>B<set_cursor_blinks> ($blink)

=over

=item * $blink (boolean) 

=back

=head2 (column, row) = $terminal-E<gt>B<get_cursor_position> 

=head2 $terminal-E<gt>B<set_default_colors> 

=head2 string = $terminal-E<gt>B<get_default_emulation> 

Since: vte 0.12

=head2 $terminal-E<gt>B<set_delete_binding> ($binding)

=over

=item * $binding (Gnome2::Vte::Terminal::EraseBinding) 

=back

=head2 string = $terminal-E<gt>B<get_emulation> 

=head2 $terminal-E<gt>B<set_emulation> ($emulation)

=over

=item * $emulation (string) 

=back

=head2 string = $terminal-E<gt>B<get_encoding> 

=head2 $terminal-E<gt>B<set_encoding> ($codeset)

=over

=item * $codeset (string) 

=back

=head2 $terminal-E<gt>B<feed> ($data)

=over

=item * $data (scalar) 

=back

=head2 $terminal-E<gt>B<feed_child> ($data)

=over

=item * $data (scalar) 

=back

=head2 $terminal-E<gt>B<feed_child_binary> ($data)

=over

=item * $data (scalar) 

=back

Since: vte 0.12

=head2 $terminal-E<gt>B<set_font_from_string_full> ($name, $anti_alias)

=over

=item * $name (string) 

=item * $anti_alias (Gnome2::Vte::Terminal::AntiAlias) 

=back

Since: vte 0.12

=head2 $terminal-E<gt>B<set_font_from_string> ($name)

=over

=item * $name (string) 

=back

=head2 $terminal-E<gt>B<set_font_full> ($font_desc, $anti_alias)

=over

=item * $font_desc (Pango::FontDescription or undef) 

=item * $anti_alias (Gnome2::Vte::Terminal::AntiAlias) 

=back

Since: vte 0.12

=head2 fontdescription = $terminal-E<gt>B<get_font> 

=head2 $terminal-E<gt>B<set_font> ($font_desc)

=over

=item * $font_desc (Pango::FontDescription) 

=back

=head2 integer = $terminal-E<gt>B<fork_command> ($command, $arg_ref, $env_ref, $directory, $lastlog, $utmp, $wtmp)

=over

=item * $command (string) 

=item * $arg_ref (scalar) 

=item * $env_ref (scalar) 

=item * $directory (string or undef) 

=item * $lastlog (boolean) 

=item * $utmp (boolean) 

=item * $wtmp (boolean) 

=back

=head2 boolean = $terminal-E<gt>B<get_has_selection> 

=head2 string = $terminal-E<gt>B<get_icon_title> 

=head2 $terminal-E<gt>B<im_append_menuitems> ($menushell)

=over

=item * $menushell (Gtk2::MenuShell) 

=back

=head2 boolean = $terminal-E<gt>B<is_word_char> ($c)

=over

=item * $c (character) 

=back

=head2 integer = $terminal-E<gt>B<match_add> ($match)

=over

=item * $match (string) 

=back

=head2 list = $terminal-E<gt>B<match_check> ($column, $row)

=over

=item * $column (integer) 

=item * $row (integer) 

=back

=head2 $terminal-E<gt>B<match_clear_all> 

=head2 $terminal-E<gt>B<match_remove> ($tag)

=over

=item * $tag (integer) 

=back

=head2 $terminal-E<gt>B<match_set_cursor> ($tag, $cursor)

=over

=item * $tag (integer) 

=item * $cursor (Gtk2::Gdk::Cursor) 

=back

Since: vte 0.12

=head2 $terminal-E<gt>B<match_set_cursor_type> ($tag, $cursor_type)

=over

=item * $tag (integer) 

=item * $cursor_type (Gtk2::Gdk::CursorType) 

=back

Since: vte 0.12

=head2 boolean = $terminal-E<gt>B<get_mouse_autohide> 

=head2 $terminal-E<gt>B<set_mouse_autohide> ($setting)

=over

=item * $setting (boolean) 

=back

=head2 $terminal-E<gt>B<set_opacity> ($opacity)

=over

=item * $opacity (unsigned) 

=back

Since: vte 0.14

=head2 (xpad, ypad) = $terminal-E<gt>B<get_padding> 

=head2 $terminal-E<gt>B<paste_clipboard> 

=head2 $terminal-E<gt>B<paste_primary> 

=head2 $terminal-E<gt>B<set_pty> ($pty_master)

=over

=item * $pty_master (integer) 

=back

Since: vte 0.12

=head2 $terminal-E<gt>B<reset> ($full, $clear_history)

=over

=item * $full (boolean) 

=item * $clear_history (boolean) 

=back

=head2 integer = $terminal-E<gt>B<get_row_count> 

=head2 $terminal-E<gt>B<set_scroll_background> ($scroll)

=over

=item * $scroll (boolean) 

=back

Since: vte 0.12

=head2 $terminal-E<gt>B<set_scroll_on_keystroke> ($scroll)

=over

=item * $scroll (boolean) 

=back

=head2 $terminal-E<gt>B<set_scroll_on_output> ($scroll)

=over

=item * $scroll (boolean) 

=back

=head2 $terminal-E<gt>B<set_scrollback_lines> ($lines)

=over

=item * $lines (integer) 

=back

=head2 $terminal-E<gt>B<set_size> ($columns, $rows)

=over

=item * $columns (integer) 

=item * $rows (integer) 

=back

=head2 string = $terminal-E<gt>B<get_status_line> 

=head2 list = $terminal-E<gt>B<get_text> ($func=undef, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back


Returns the selected text and a reference to a VteCharAttributes array
describing every character in that text.


=head2 list = $terminal-E<gt>B<get_text_include_trailing_spaces> ($func, $data=undef)

=over

=item * $func (scalar) 

=item * $data (scalar) 

=back


Returns the selected text and a reference to a VteCharAttributes array
describing every character in that text.


Since: vte 0.12

=head2 list = $terminal-E<gt>B<get_text_range> ($start_row, $start_col, $end_row, $end_col, $func, $data=undef)

=over

=item * $start_row (integer) 

=item * $start_col (integer) 

=item * $end_row (integer) 

=item * $end_col (integer) 

=item * $func (scalar) 

=item * $data (scalar) 

=back


Returns the selected text and a reference to a VteCharAttributes array
describing every character in that text.


=head2 boolean = $terminal-E<gt>B<get_using_xft> 

=head2 boolean = $terminal-E<gt>B<get_visible_bell> 

=head2 $terminal-E<gt>B<set_visible_bell> ($is_visible)

=over

=item * $is_visible (boolean) 

=back

=head2 string = $terminal-E<gt>B<get_window_title> 

=head2 $terminal-E<gt>B<set_word_chars> ($spec)

=over

=item * $spec (string or undef) 

=back



=cut


=head1 PROPERTIES

=over

=item 'allow-bold' (boolean : default true : readable / writable / private)

=item 'audible-bell' (boolean : default true : readable / writable / private)

=item 'background-image-file' (string : default undef : readable / writable / private)

=item 'background-image-pixbuf' (Gtk2::Gdk::Pixbuf : default undef : readable / writable / private)

=item 'background-opacity' (double : default 1 : readable / writable / private)

=item 'background-saturation' (double : default 0.4 : readable / writable / private)

=item 'background-tint-color' (Gtk2::Gdk::Color : default undef : readable / writable / private)

=item 'background-transparent' (boolean : default false : readable / writable / private)

=item 'backspace-binding' (Gnome2::Vte::Terminal::EraseBinding : default "auto" : readable / writable / private)

=item 'cursor-blink-mode' (VteTerminalCursorBlinkMode : default "system" : readable / writable / private)

=item 'cursor-shape' (VteTerminalCursorShape : default "block" : readable / writable / private)

=item 'delete-binding' (Gnome2::Vte::Terminal::EraseBinding : default "auto" : readable / writable / private)

=item 'emulation' (string : default "xterm" : readable / writable / private)

=item 'encoding' (string : default undef : readable / writable / private)

=item 'font-desc' (Pango::FontDescription : default undef : readable / writable / private)

=item 'icon-title' (string : default undef : readable / private)

=item 'pointer-autohide' (boolean : default false : readable / writable / private)

=item 'pty' (integer : default -1 : readable / writable / private)

=item 'pty-object' (Glib::Object::_Unregistered::VtePty : default undef : readable / writable / private)

=item 'scroll-background' (boolean : default false : readable / writable / private)

=item 'scroll-on-keystroke' (boolean : default false : readable / writable / private)

=item 'scroll-on-output' (boolean : default true : readable / writable / private)

=item 'scrollback-lines' (Glib::UInt : default 100 : readable / writable / private)

=item 'visible-bell' (boolean : default false : readable / writable / private)

=item 'window-title' (string : default undef : readable / private)

=item 'word-chars' (string : default undef : readable / writable / private)

=back



=cut


=head1 STYLE PROPERTIES

=over

=item 'inner-border' (Gtk2::Border : default undef : readable / private)

=back



=cut


=head1 SIGNALS

=over

=item B<beep> (Gnome2::Vte::Terminal)

=item B<char-size-changed> (Gnome2::Vte::Terminal, Glib::UInt, Glib::UInt)

=item B<child-exited> (Gnome2::Vte::Terminal)

=item B<commit> (Gnome2::Vte::Terminal, string, Glib::UInt)

=item B<contents-changed> (Gnome2::Vte::Terminal)

=item B<copy-clipboard> (Gnome2::Vte::Terminal)

=item B<cursor-moved> (Gnome2::Vte::Terminal)

=item B<decrease-font-size> (Gnome2::Vte::Terminal)

=item B<deiconify-window> (Gnome2::Vte::Terminal)

=item B<emulation-changed> (Gnome2::Vte::Terminal)

=item B<encoding-changed> (Gnome2::Vte::Terminal)

=item B<eof> (Gnome2::Vte::Terminal)

=item B<icon-title-changed> (Gnome2::Vte::Terminal)

=item B<iconify-window> (Gnome2::Vte::Terminal)

=item B<increase-font-size> (Gnome2::Vte::Terminal)

=item B<lower-window> (Gnome2::Vte::Terminal)

=item B<maximize-window> (Gnome2::Vte::Terminal)

=item B<move-window> (Gnome2::Vte::Terminal, Glib::UInt, Glib::UInt)

=item B<paste-clipboard> (Gnome2::Vte::Terminal)

=item B<raise-window> (Gnome2::Vte::Terminal)

=item B<refresh-window> (Gnome2::Vte::Terminal)

=item B<resize-window> (Gnome2::Vte::Terminal, Glib::UInt, Glib::UInt)

=item B<restore-window> (Gnome2::Vte::Terminal)

=item B<selection-changed> (Gnome2::Vte::Terminal)

=item B<set-scroll-adjustments> (Gnome2::Vte::Terminal, Gtk2::Adjustment, Gtk2::Adjustment)

=item B<status-line-changed> (Gnome2::Vte::Terminal)

=item B<text-deleted> (Gnome2::Vte::Terminal)

=item B<text-inserted> (Gnome2::Vte::Terminal)

=item B<text-modified> (Gnome2::Vte::Terminal)

=item B<text-scrolled> (Gnome2::Vte::Terminal, integer)

=item B<window-title-changed> (Gnome2::Vte::Terminal)

=back



=cut


=head1 ENUMS AND FLAGS

=head2 enum Gnome2::Vte::Terminal::AntiAlias

=over

=item * 'use-default' / 'VTE_ANTI_ALIAS_USE_DEFAULT'

=item * 'force-enable' / 'VTE_ANTI_ALIAS_FORCE_ENABLE'

=item * 'force-disable' / 'VTE_ANTI_ALIAS_FORCE_DISABLE'

=back


=head2 enum Gnome2::Vte::Terminal::EraseBinding

=over

=item * 'auto' / 'VTE_ERASE_AUTO'

=item * 'ascii-backspace' / 'VTE_ERASE_ASCII_BACKSPACE'

=item * 'ascii-delete' / 'VTE_ERASE_ASCII_DELETE'

=item * 'delete-sequence' / 'VTE_ERASE_DELETE_SEQUENCE'

=item * 'tty' / 'VTE_ERASE_TTY'

=back


=head2 enum Gtk2::Gdk::CursorType

=over

=item * 'x-cursor' / 'GDK_X_CURSOR'

=item * 'arrow' / 'GDK_ARROW'

=item * 'based-arrow-down' / 'GDK_BASED_ARROW_DOWN'

=item * 'based-arrow-up' / 'GDK_BASED_ARROW_UP'

=item * 'boat' / 'GDK_BOAT'

=item * 'bogosity' / 'GDK_BOGOSITY'

=item * 'bottom-left-corner' / 'GDK_BOTTOM_LEFT_CORNER'

=item * 'bottom-right-corner' / 'GDK_BOTTOM_RIGHT_CORNER'

=item * 'bottom-side' / 'GDK_BOTTOM_SIDE'

=item * 'bottom-tee' / 'GDK_BOTTOM_TEE'

=item * 'box-spiral' / 'GDK_BOX_SPIRAL'

=item * 'center-ptr' / 'GDK_CENTER_PTR'

=item * 'circle' / 'GDK_CIRCLE'

=item * 'clock' / 'GDK_CLOCK'

=item * 'coffee-mug' / 'GDK_COFFEE_MUG'

=item * 'cross' / 'GDK_CROSS'

=item * 'cross-reverse' / 'GDK_CROSS_REVERSE'

=item * 'crosshair' / 'GDK_CROSSHAIR'

=item * 'diamond-cross' / 'GDK_DIAMOND_CROSS'

=item * 'dot' / 'GDK_DOT'

=item * 'dotbox' / 'GDK_DOTBOX'

=item * 'double-arrow' / 'GDK_DOUBLE_ARROW'

=item * 'draft-large' / 'GDK_DRAFT_LARGE'

=item * 'draft-small' / 'GDK_DRAFT_SMALL'

=item * 'draped-box' / 'GDK_DRAPED_BOX'

=item * 'exchange' / 'GDK_EXCHANGE'

=item * 'fleur' / 'GDK_FLEUR'

=item * 'gobbler' / 'GDK_GOBBLER'

=item * 'gumby' / 'GDK_GUMBY'

=item * 'hand1' / 'GDK_HAND1'

=item * 'hand2' / 'GDK_HAND2'

=item * 'heart' / 'GDK_HEART'

=item * 'icon' / 'GDK_ICON'

=item * 'iron-cross' / 'GDK_IRON_CROSS'

=item * 'left-ptr' / 'GDK_LEFT_PTR'

=item * 'left-side' / 'GDK_LEFT_SIDE'

=item * 'left-tee' / 'GDK_LEFT_TEE'

=item * 'leftbutton' / 'GDK_LEFTBUTTON'

=item * 'll-angle' / 'GDK_LL_ANGLE'

=item * 'lr-angle' / 'GDK_LR_ANGLE'

=item * 'man' / 'GDK_MAN'

=item * 'middlebutton' / 'GDK_MIDDLEBUTTON'

=item * 'mouse' / 'GDK_MOUSE'

=item * 'pencil' / 'GDK_PENCIL'

=item * 'pirate' / 'GDK_PIRATE'

=item * 'plus' / 'GDK_PLUS'

=item * 'question-arrow' / 'GDK_QUESTION_ARROW'

=item * 'right-ptr' / 'GDK_RIGHT_PTR'

=item * 'right-side' / 'GDK_RIGHT_SIDE'

=item * 'right-tee' / 'GDK_RIGHT_TEE'

=item * 'rightbutton' / 'GDK_RIGHTBUTTON'

=item * 'rtl-logo' / 'GDK_RTL_LOGO'

=item * 'sailboat' / 'GDK_SAILBOAT'

=item * 'sb-down-arrow' / 'GDK_SB_DOWN_ARROW'

=item * 'sb-h-double-arrow' / 'GDK_SB_H_DOUBLE_ARROW'

=item * 'sb-left-arrow' / 'GDK_SB_LEFT_ARROW'

=item * 'sb-right-arrow' / 'GDK_SB_RIGHT_ARROW'

=item * 'sb-up-arrow' / 'GDK_SB_UP_ARROW'

=item * 'sb-v-double-arrow' / 'GDK_SB_V_DOUBLE_ARROW'

=item * 'shuttle' / 'GDK_SHUTTLE'

=item * 'sizing' / 'GDK_SIZING'

=item * 'spider' / 'GDK_SPIDER'

=item * 'spraycan' / 'GDK_SPRAYCAN'

=item * 'star' / 'GDK_STAR'

=item * 'target' / 'GDK_TARGET'

=item * 'tcross' / 'GDK_TCROSS'

=item * 'top-left-arrow' / 'GDK_TOP_LEFT_ARROW'

=item * 'top-left-corner' / 'GDK_TOP_LEFT_CORNER'

=item * 'top-right-corner' / 'GDK_TOP_RIGHT_CORNER'

=item * 'top-side' / 'GDK_TOP_SIDE'

=item * 'top-tee' / 'GDK_TOP_TEE'

=item * 'trek' / 'GDK_TREK'

=item * 'ul-angle' / 'GDK_UL_ANGLE'

=item * 'umbrella' / 'GDK_UMBRELLA'

=item * 'ur-angle' / 'GDK_UR_ANGLE'

=item * 'watch' / 'GDK_WATCH'

=item * 'xterm' / 'GDK_XTERM'

=item * 'last-cursor' / 'GDK_LAST_CURSOR'

=item * 'blank-cursor' / 'GDK_BLANK_CURSOR'

=item * 'cursor-is-pixmap' / 'GDK_CURSOR_IS_PIXMAP'

=back


=head2 enum VteTerminalCursorBlinkMode

=over

=item * 'system' / 'VTE_CURSOR_BLINK_SYSTEM'

=item * 'on' / 'VTE_CURSOR_BLINK_ON'

=item * 'off' / 'VTE_CURSOR_BLINK_OFF'

=back


=head2 enum VteTerminalCursorShape

=over

=item * 'block' / 'VTE_CURSOR_SHAPE_BLOCK'

=item * 'ibeam' / 'VTE_CURSOR_SHAPE_IBEAM'

=item * 'underline' / 'VTE_CURSOR_SHAPE_UNDERLINE'

=back




=cut


=head1 SEE ALSO

L<Gnome2::Vte>, L<Glib::Object>, L<Glib::InitiallyUnowned>, L<Gtk2::Object>, L<Gtk2::Widget>


=cut


=head1 COPYRIGHT

Copyright (C) 2003-2006 by the gtk2-perl team.

This software is licensed under the LGPL.  See L<Gnome2::Vte> for a full notice.



=cut

